SDL_GetGamepadButtonLabelForType(3)

NAME
SDL_GetGamepadButtonLabelForType - Get the label of a button on a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GamepadButtonLabel SDL_GetGamepadButtonLabelForType(SDL_GamepadType type, SDL_GamepadButton button);

FUNCTION PARAMETERS

type
    the type of gamepad to check.

button
    a button index (one of the SDL_GamepadButton
     values).

RETURN VALUE
( SDL_GamepadButtonLabel ) Returns the

SDL_GamepadButtonLabel
 enum corresponding to the button label.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadButtonLabel(3)